# nng_aio_set_output(3) Manual Page

## NAME

nng_aio_set_output - set output result

## SYNOPSIS

    #include <nng/nng.h>

    void nng_aio_set_output(nng_aio *aio, unsigned int index, void *result);

## DESCRIPTION

The `nng_aio_set_output()` function sets the output result at index to result for the asynchronous operation associated with aio.

The type and semantics of output results are determined by specific operations; the operation must supply appropriate output results when the operation completes successfully.

The valid values of index range from zero (0) to three (3), as no operation currently defined can return more than four results. (This limit could increase in the future.)

| Note that attempts to set results with an index greater than three (3) will be ignored.

An output result set with this function may be retrieved later with the `nng_aio_get_output()` function.

## RETURN VALUES

None.

## ERRORS

None.

## SEE ALSO

nng_aio_alloc(3), nng_aio_finish(3), nng_aio_get_output(3), nng_aio_result(3), nng_aio(5), nng(7)